Subject: bug#22527: 25.0.90; Updating packages seems to be broken

From: Artur Malabarba <[email-masked]>
Date: Thu, 3 Mar 2016 20:56:01 -0300

> This part of my bug report was pilot error. It seems that there has been
> a change in behaviour? When package-menu-mark-upgrades marks a package
> for upgrade, it now also marks the old version of the package for
> deletion. This explains the above message that surprised me. I don't
> think it did this before? IIRC, formerly it prompted to delete the old
> version after the new version was successfully installed.

The marking was always like this. The only difference is that it used to
ask two separate questions (possibly several minutes apart), and now it
only asks once for everything.

The fact that it offered to delete org even though the new version wasn't
installable is definitely a bug that needs to be fixed.
But I don't think it's a regression. In fact, with the previous behaviour
it probably would have been harder to spot.